package rules

import (
	"github.com/aquasecurity/defsec/rules"
	_ "github.com/aquasecurity/defsec/rules/aws/apigateway"

)


// Rule ...
type Rule struct {
	Base rules.RegisteredRule

	// BadExample (yaml) contains CloudFormation code which would cause the check to fail
	BadExample []string

	// GoodExample (yaml) contains CloudFormation code which would pass the check
	GoodExample []string

	// Additional links for further reading about the check
	Links []string
}

// ID ...
func (r Rule) ID() string {
	return r.Base.Rule().ID
}

func (r Rule) LongID() string {
	return r.Base.Rule().LongID()
}
